## rust-rookie 0.5.6+ds

=== examples/python/requirements.txt ===
rookiepy

=== debian/changelog ===
rust-rookie (0.5.6+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1118456)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Wed, 22 Oct 2025 19:59:40 +0200

=== debian/control ===
Source: rust-rookie
Section: rust
Priority: optional
Maintainer: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-rust,
 dh-sequence-python3,
 cargo,
 rustc,
 libstd-rust-dev,
 librust-aes-0.8+default-dev,
 librust-aes-gcm-0.10+default-dev,
 librust-cbc-0.1+default-dev,
 librust-clap-4+default-dev (>= 4.4.6-~~),
 librust-clap-4+derive-dev (>= 4.4.6-~~),
 librust-eyre-0.6+default-dev (>= 0.6.12-~~),
 librust-glob-0.3+default-dev,
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-lazy-static-1+default-dev (>= 1.4.0-~~),
 librust-log-0.4+default-dev,
 librust-lz4-flex-0.11+default-dev,
 librust-once-cell-1+default-dev (>= 1.20.2-~~),
 librust-pbkdf2-0.12+default-dev,
 librust-pyo3-0+default-dev (>= 0.20.3-~~),
 librust-pyo3-log-0+default-dev,
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-rust-ini-0.21+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev (>= 1.0.107-~~),
 librust-serde-json-1+preserve-order-dev,
 librust-sha1-0.10+default-dev,
 librust-tracing-subscriber-0.3+default-dev (>= 0.3.18-~~),
 librust-url-2+default-dev,
 librust-zbus-5+default-dev,
 librust-zvariant-5+default-dev,
 pybuild-plugin-pyproject,
 python3-all-dev,
 python3-maturin,
Standards-Version: 4.7.2
Homepage: https://crates.io/crates/rookie
Vcs-Browser: https://salsa.debian.org/animux/rookie
Vcs-Git: https://salsa.debian.org/animux/rookie.git
Description: Load cookies from your web browsers
 Rookie is a Rust library that enables developers to extract cookies from
 web browsers and use them in their applications. The project contains a
 Rust library, bindings for Python and NodeJS and a CLI tool.
 .
 The library supports reading cookies from multiple popular web browsers
 including Chrome, Firefox, and others. It handles the complexity of
 accessing browser cookie databases and potentially decrypting the cookie
 values.

Package: librust-rookie-dev
Architecture: any
Multi-Arch: same
Depends:
 librust-aes-0.8+default-dev,
 librust-aes-gcm-0.10+default-dev,
 librust-cbc-0.1+default-dev,
 librust-eyre-0.6+default-dev (>= 0.6.12-~~),
 librust-glob-0.3+default-dev,
 librust-indoc-2+default-dev (>= 2.0.5-~~),
 librust-log-0.4+default-dev,
 librust-lz4-flex-0.11+default-dev,
 librust-once-cell-1+default-dev (>= 1.20.2-~~),
 librust-pbkdf2-0.12+default-dev,
 librust-rand-0.8+default-dev (>= 0.8.5-~~),
 librust-regex-1+default-dev,
 librust-rusqlite-0.29+default-dev,
 librust-rust-ini-0.21+default-dev,
 librust-serde-1+default-dev,
 librust-serde-1+derive-dev,
 librust-serde-json-1+default-dev (>= 1.0.107-~~),
 librust-serde-json-1+preserve-order-dev,
 librust-sha1-0.10+default-dev,
 librust-url-2+default-dev,
 librust-zbus-5+default-dev,
 librust-zvariant-5+default-dev,
 ${misc:Depends},
Provides:
 librust-rookie-0-dev (= ${binary:Version}),
 librust-rookie-0.5-dev (= ${binary:Version}),
 librust-rookie-0.5.6-dev (= ${binary:Version}),
Description: ${source:Synopsis} - Rust source code
 ${source:Extended-Description}
 .
 This package contains the Rust source code.

Package: rookie
X-Cargo-Crates: rookie-cli
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: ${source:Synopsis} - CLI
 ${source:Extended-Description}
 .
 This package contains the CLI utility.

Package: python3-rookiepy
Section: python
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${python3:Depends},
Built-Using: ${cargo:Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: ${source:Synopsis} - Pytonn 3.x
 ${source:Extended-Description}
 .
 This package contains the Python 3 module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
include /usr/share/rustc/architecture.mk

export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS

export PATH := /usr/share/cargo/bin:$(PATH)
export CARGO=/usr/share/cargo/bin/cargo
export CARGO_HOME=$(CURDIR)/debian/cargo_home
export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
export DEB_CARGO_CRATE=$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export PYBUILD_NAME=rookiepy
export PYBUILD_DIR=bindings/python/

%:
	dh $@ --buildsystem=none

override_dh_auto_configure:
	dh_auto_configure --buildsystem=rust
	dh_auto_configure --buildsystem=pybuild
	
	# This has to be after dh_auto_configure --builsystem=rust, because
	# dh-rust creates a wrong crago config without enabling debug info
	$(CARGO) prepare-debian debian/cargo_registry --link-from-system

execute_before_dh_auto_build:
	# A change of the build path by a Salsa CI pipeline update broke the
	# blhc ignore regex (#1037521)
	@echo "blhc: ignore-line-regexp: \\s*Compiling (.+)"

override_dh_auto_build:
	dh_auto_build --buildsystem=rust
	dh_auto_build --buildsystem=pybuild
	pod2man -c "User commands" --release "rookie $(DEB_VERSION_UPSTREAM)" --section 1 debian/rookie.pod > debian/rookie.1

override_dh_auto_install:
	dh_auto_install --buildsystem=rust
	dh_auto_install --buildsystem=pybuild
	/usr/share/dh-rust/bin/dh-rust-built-using target/$(DEB_HOST_RUST_TYPE)/release python3-rookiepy

execute_after_dh_installdocs:
	mv debian/python3-rookiepy/usr/share/doc/python3-rookiepy/Python.md debian/python3-rookiepy/usr/share/doc/python3-rookiepy/README.md
	mv debian/librust-rookie-dev/usr/share/doc/librust-rookie-dev/Rust.md debian/librust-rookie-dev/usr/share/doc/librust-rookie-dev/README.md

override_dh_auto_test:
	dh_auto_test --buildsystem=rust
	dh_auto_test --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean --buildsystem=rust
	dh_auto_clean --buildsystem=pybuild

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds\d*$//,repacksuffix=+ds" \
https://github.com/thewh1teagle/rookie/tags .*/v?(\d[0-9.]*)@ARCHIVE_EXT@
